KMediaPlayer::Player Class Referenceabstract

`#include <player.h>`

Inheritance diagram for KMediaPlayer::Player:

## Public Types

enum | State { Empty, Stop, Pause, Play }

## Public Slots

virtual void | pause (void)=0
virtual void | play (void)=0
virtual void | stop (void)=0
virtual void | seek (unsigned long msec)=0
void | setLooping (bool)
Public Slots inherited from KParts::ReadOnlyPart
virtual bool | openURL (const KURL &url)

## Signals

void | loopingChanged (bool)
void | stateChanged (int)
Signals inherited from KParts::ReadOnlyPart
void | started (KIO::Job *)
void | completed ()
void | completed (bool pendingAction)
void | canceled (const QString &errMsg)
Signals inherited from KParts::Part
void | setWindowCaption (const QString &caption)
void | setStatusBarText (const QString &text)

## Public Member Functions

| Player (QObject *parent, const char *name)
| Player (QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)
virtual View * | view (void)=0
virtual bool | isSeekable (void) const =0
virtual unsigned long | position (void) const =0
virtual bool | hasLength (void) const =0
virtual unsigned long | length (void) const =0
bool | isLooping (void) const
int | state (void) const
Public Member Functions inherited from KParts::ReadOnlyPart
| ReadOnlyPart (QObject *parent=0, const char *name=0)
void | setProgressInfoEnabled (bool show)
bool | isProgressInfoEnabled () const
KURL | url () const
virtual bool | closeURL ()
bool | openStream (const QString &mimeType, const KURL &url)
bool | writeStream (const QByteArray &data)
bool | closeStream ()
Public Member Functions inherited from KParts::Part
| Part (QObject *parent=0, const char *name=0)
virtual void | embed (QWidget *parentWidget)
virtual QWidget * | widget ()
PartManager * | manager () const
virtual Part * | hitTest (QWidget *widget, const QPoint &globalPos)
virtual void | setSelectable (bool selectable)
bool | isSelectable () const

## Protected Slots

void | setState (int)

## Additional Inherited Members

Protected Member Functions inherited from KParts::ReadOnlyPart
virtual bool | openFile ()=0
virtual void | guiActivateEvent (GUIActivateEvent *event)
Protected Member Functions inherited from KParts::Part
virtual void | setWidget (QWidget *widget)
virtual void | partActivateEvent (PartActivateEvent *event)
virtual void | partSelectEvent (PartSelectEvent *event)
QWidget * | hostContainer (const QString &containerName)
Protected Attributes inherited from KParts::ReadOnlyPart
KURL | m_url
QString | m_file
bool | m_bTemp

## Detailed Description

Player is the center of the KMediaPlayer interface.

It provides all of the necessary media player operations, and optionally provides the GUI to control them.

There are two servicetypes for Player: KMediaPlayer/Player and KMediaPlayer/Engine. KMediaPlayer/Player provides a widget (accessable through view as well as XML GUI KActions. KMediaPlayer/Engine omits the user interface facets, for those who wish to provide their own interface.

Definition at line 46 of file player.h.

## Member Enumeration Documentation

enum KMediaPlayer::Player::State

The possible states of the Player.

Enumerator
Empty | No track is loaded.
Stop | Not playing.
Pause | Playing is temporarily suspended.
Play | The media is currently being output.

Definition at line 111 of file player.h.

## Constructor & Destructor Documentation

KMediaPlayer::Player::Player | ( | QObject * | parent,
|  | const char * | name
| ) |  |

This constructor is what to use when no GUI is required, as in the case of a KMediaPlayer/Engine.

Definition at line 39 of file player.cpp.

KMediaPlayer::Player::Player | ( | QWidget * | parentWidget,
|  | const char * | widgetName,
|  | QObject * | parent,
|  | const char * | name
| ) |  |

This constructor is what to use when a GUI is required, as in the case of a KMediaPlayer/Player.

Definition at line 31 of file player.cpp.

## Member Function Documentation

virtual bool KMediaPlayer::Player::hasLength | ( | void |  | ) | const

pure virtual

Returns whether the current track has a length.

Some streams are endless, and do not have one.

bool KMediaPlayer::Player::isLooping | ( | void |  | ) | const

Return the current looping state.

Definition at line 60 of file player.cpp.

virtual bool KMediaPlayer::Player::isSeekable | ( | void |  | ) | const

pure virtual

Returns whether the current track honors seek requests.

virtual unsigned long KMediaPlayer::Player::length | ( | void |  | ) | const

pure virtual

Returns the length of the current track.

void KMediaPlayer::Player::loopingChanged | ( | bool |  | ) |

signal

Emitted when the looping state is changed.

virtual void KMediaPlayer::Player::pause | ( | void |  | ) |

pure virtual slot

Pause playback of the media track.

virtual void KMediaPlayer::Player::play | ( | void |  | ) |

pure virtual slot

Begin playing the media track.

virtual unsigned long KMediaPlayer::Player::position | ( | void |  | ) | const

pure virtual

Returns the current playback position in the track.

virtual void KMediaPlayer::Player::seek | ( | unsigned long | msec | ) |

pure virtual slot

Move the current playback position to the specified time in milliseconds, if the track is seekable.

Some streams may not be seeked.

void KMediaPlayer::Player::setLooping | ( | bool | b | ) |

slot

Set whether the Player should continue playing at the beginning of the track when the end of the track is reached.

Definition at line 51 of file player.cpp.

void KMediaPlayer::Player::setState | ( | int | s | ) |

protected slot

Implementers use this to control what users see as the current state.

Definition at line 65 of file player.cpp.

int KMediaPlayer::Player::state | ( | void |  | ) | const

Return the current state of the player.

Definition at line 74 of file player.cpp.

void KMediaPlayer::Player::stateChanged | ( | int |  | ) |

signal

Emitted when the state changes.

virtual void KMediaPlayer::Player::stop | ( | void |  | ) |

pure virtual slot

Stop playback of the media track and return to the beginning.

virtual View* KMediaPlayer::Player::view | ( | void |  | ) |

pure virtual

A convenience function returning a pointer to the View for this Player, or 0 if this Player has no GUI.

The documentation for this class was generated from the following files:

- player.h
- player.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys